SELECT lastname, firstname, invoice_number
  FROM person JOIN order_header oh ON id = customer_id
 WHERE customer_id = (SELECT manager_id
                        FROM store
                       WHERE store_number = oh.store_number)
/
